org.modeshape.jcr

## Class Connectors.PathMapping

- java.lang.Object
- - org.modeshape.jcr.Connectors.PathMapping

- Enclosing class:
    Connectors

      protected static final class Connectors.PathMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Connectors.PathMapping(Path externalPath, Path internalPath, String workspaceName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `WorkspaceAndPath` | `resolveExternalPathToInternal(Path externalPath, PathFactory pathFactory)` Attempt to resolve the supplied external path to an internal path.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Connectors.PathMapping

          protected Connectors.PathMapping(Path externalPath,
                                Path internalPath,
                                String workspaceName)

  - ### Method Detail

    - #### resolveExternalPathToInternal

          public WorkspaceAndPath resolveExternalPathToInternal(Path externalPath,
                                                       PathFactory pathFactory)

      Attempt to resolve the supplied external path to an internal path. This method returns null if this mapping is not applicable for the given external path.
      Parameters:
        `externalPath` - the external path of a node in the tree of content exposed by the connector; this path is from the point of view of the connector.
        `pathFactory` - the path factory; may not be null
      Returns:
        the resolved repository path in a given workspace, or null if this mapping did not apply to the supplied external path

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.